

# Actions
<a name="API_Operations"></a>

The following actions are supported:
+  [CreateConnector](API_CreateConnector.md) 
+  [CreateCustomPlugin](API_CreateCustomPlugin.md) 
+  [CreateWorkerConfiguration](API_CreateWorkerConfiguration.md) 
+  [DeleteConnector](API_DeleteConnector.md) 
+  [DeleteCustomPlugin](API_DeleteCustomPlugin.md) 
+  [DeleteWorkerConfiguration](API_DeleteWorkerConfiguration.md) 
+  [DescribeConnector](API_DescribeConnector.md) 
+  [DescribeConnectorOperation](API_DescribeConnectorOperation.md) 
+  [DescribeCustomPlugin](API_DescribeCustomPlugin.md) 
+  [DescribeWorkerConfiguration](API_DescribeWorkerConfiguration.md) 
+  [ListConnectorOperations](API_ListConnectorOperations.md) 
+  [ListConnectors](API_ListConnectors.md) 
+  [ListCustomPlugins](API_ListCustomPlugins.md) 
+  [ListTagsForResource](API_ListTagsForResource.md) 
+  [ListWorkerConfigurations](API_ListWorkerConfigurations.md) 
+  [TagResource](API_TagResource.md) 
+  [UntagResource](API_UntagResource.md) 
+  [UpdateConnector](API_UpdateConnector.md) 

# CreateConnector
<a name="API_CreateConnector"></a>

Creates a connector using the specified properties. 

## Request Syntax
<a name="API_CreateConnector_RequestSyntax"></a>

```
POST /v1/connectors HTTP/1.1
Content-type: application/json

{
   "capacity": { 
      "autoScaling": { 
         "maxAutoscalingTaskCount": number,
         "maxWorkerCount": number,
         "mcuCount": number,
         "minWorkerCount": number,
         "scaleInPolicy": { 
            "cpuUtilizationPercentage": number
         },
         "scaleOutPolicy": { 
            "cpuUtilizationPercentage": number
         }
      },
      "provisionedCapacity": { 
         "mcuCount": number,
         "workerCount": number
      }
   },
   "connectorConfiguration": { 
      "string" : "string" 
   },
   "connectorDescription": "string",
   "connectorName": "string",
   "kafkaCluster": { 
      "apacheKafkaCluster": { 
         "bootstrapServers": "string",
         "vpc": { 
            "securityGroups": [ "string" ],
            "subnets": [ "string" ]
         }
      }
   },
   "kafkaClusterClientAuthentication": { 
      "authenticationType": "string"
   },
   "kafkaClusterEncryptionInTransit": { 
      "encryptionType": "string"
   },
   "kafkaConnectVersion": "string",
   "logDelivery": { 
      "workerLogDelivery": { 
         "cloudWatchLogs": { 
            "enabled": boolean,
            "logGroup": "string"
         },
         "firehose": { 
            "deliveryStream": "string",
            "enabled": boolean
         },
         "s3": { 
            "bucket": "string",
            "enabled": boolean,
            "prefix": "string"
         }
      }
   },
   "networkType": "string",
   "plugins": [ 
      { 
         "customPlugin": { 
            "customPluginArn": "string",
            "revision": number
         }
      }
   ],
   "serviceExecutionRoleArn": "string",
   "tags": { 
      "string" : "string" 
   },
   "workerConfiguration": { 
      "revision": number,
      "workerConfigurationArn": "string"
   }
}
```

## URI Request Parameters
<a name="API_CreateConnector_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_CreateConnector_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [capacity](#API_CreateConnector_RequestSyntax) **   <a name="MSKC-CreateConnector-request-capacity"></a>
Information about the capacity allocated to the connector. Exactly one of the two properties must be specified.  
Type: [Capacity](API_Capacity.md) object  
Required: Yes

 ** [connectorConfiguration](#API_CreateConnector_RequestSyntax) **   <a name="MSKC-CreateConnector-request-connectorConfiguration"></a>
A map of keys to values that represent the configuration for the connector.  
Type: String to string map  
Required: Yes

 ** [connectorDescription](#API_CreateConnector_RequestSyntax) **   <a name="MSKC-CreateConnector-request-connectorDescription"></a>
A summary description of the connector.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Required: No

 ** [connectorName](#API_CreateConnector_RequestSyntax) **   <a name="MSKC-CreateConnector-request-connectorName"></a>
The name of the connector.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Required: Yes

 ** [kafkaCluster](#API_CreateConnector_RequestSyntax) **   <a name="MSKC-CreateConnector-request-kafkaCluster"></a>
Specifies which Apache Kafka cluster to connect to.  
Type: [KafkaCluster](API_KafkaCluster.md) object  
Required: Yes

 ** [kafkaClusterClientAuthentication](#API_CreateConnector_RequestSyntax) **   <a name="MSKC-CreateConnector-request-kafkaClusterClientAuthentication"></a>
Details of the client authentication used by the Apache Kafka cluster.  
Type: [KafkaClusterClientAuthentication](API_KafkaClusterClientAuthentication.md) object  
Required: Yes

 ** [kafkaClusterEncryptionInTransit](#API_CreateConnector_RequestSyntax) **   <a name="MSKC-CreateConnector-request-kafkaClusterEncryptionInTransit"></a>
Details of encryption in transit to the Apache Kafka cluster.  
Type: [KafkaClusterEncryptionInTransit](API_KafkaClusterEncryptionInTransit.md) object  
Required: Yes

 ** [kafkaConnectVersion](#API_CreateConnector_RequestSyntax) **   <a name="MSKC-CreateConnector-request-kafkaConnectVersion"></a>
The version of Kafka Connect. It has to be compatible with both the Apache Kafka cluster's version and the plugins.  
Type: String  
Required: Yes

 ** [logDelivery](#API_CreateConnector_RequestSyntax) **   <a name="MSKC-CreateConnector-request-logDelivery"></a>
Details about log delivery.  
Type: [LogDelivery](API_LogDelivery.md) object  
Required: No

 ** [networkType](#API_CreateConnector_RequestSyntax) **   <a name="MSKC-CreateConnector-request-networkType"></a>
The network type of the connector. It gives connectors connectivity to either IPv4 (IPV4) or IPv4 and IPv6 (DUAL) destinations. Defaults to IPV4.  
Type: String  
Valid Values: `IPV4 | DUAL`   
Required: No

 ** [plugins](#API_CreateConnector_RequestSyntax) **   <a name="MSKC-CreateConnector-request-plugins"></a>
Amazon MSK Connect does not currently support specifying multiple plugins as a list. To use more than one plugin for your connector, you can create a single custom plugin using a ZIP file that bundles multiple plugins together.
Specifies which plugin to use for the connector. You must specify a single-element list containing one `customPlugin` object.  
Type: Array of [Plugin](API_Plugin.md) objects  
Required: Yes

 ** [serviceExecutionRoleArn](#API_CreateConnector_RequestSyntax) **   <a name="MSKC-CreateConnector-request-serviceExecutionRoleArn"></a>
The Amazon Resource Name (ARN) of the IAM role used by the connector to access the Amazon Web Services resources that it needs. The types of resources depends on the logic of the connector. For example, a connector that has Amazon S3 as a destination must have permissions that allow it to write to the S3 destination bucket.  
Type: String  
Required: Yes

 ** [tags](#API_CreateConnector_RequestSyntax) **   <a name="MSKC-CreateConnector-request-tags"></a>
The tags you want to attach to the connector.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 200 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

 ** [workerConfiguration](#API_CreateConnector_RequestSyntax) **   <a name="MSKC-CreateConnector-request-workerConfiguration"></a>
Specifies which worker configuration to use with the connector.  
Type: [WorkerConfiguration](API_WorkerConfiguration.md) object  
Required: No

## Response Syntax
<a name="API_CreateConnector_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "connectorArn": "string",
   "connectorName": "string",
   "connectorState": "string"
}
```

## Response Elements
<a name="API_CreateConnector_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [connectorArn](#API_CreateConnector_ResponseSyntax) **   <a name="MSKC-CreateConnector-response-connectorArn"></a>
The Amazon Resource Name (ARN) that Amazon assigned to the connector.  
Type: String

 ** [connectorName](#API_CreateConnector_ResponseSyntax) **   <a name="MSKC-CreateConnector-response-connectorName"></a>
The name of the connector.  
Type: String

 ** [connectorState](#API_CreateConnector_ResponseSyntax) **   <a name="MSKC-CreateConnector-response-connectorState"></a>
The state of the connector.  
Type: String  
Valid Values: `RUNNING | CREATING | UPDATING | DELETING | FAILED` 

## Errors
<a name="API_CreateConnector_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ConflictException **   
HTTP Status Code 409: Conflict. A resource with this name already exists. Retry your request with another name.  
HTTP Status Code: 409

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
HTTP Status Code: 401

## See Also
<a name="API_CreateConnector_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/kafkaconnect-2021-09-14/CreateConnector) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/kafkaconnect-2021-09-14/CreateConnector) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/kafkaconnect-2021-09-14/CreateConnector) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/kafkaconnect-2021-09-14/CreateConnector) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/kafkaconnect-2021-09-14/CreateConnector) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/kafkaconnect-2021-09-14/CreateConnector) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/kafkaconnect-2021-09-14/CreateConnector) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/kafkaconnect-2021-09-14/CreateConnector) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/kafkaconnect-2021-09-14/CreateConnector) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/kafkaconnect-2021-09-14/CreateConnector) 

# CreateCustomPlugin
<a name="API_CreateCustomPlugin"></a>

Creates a custom plugin using the specified properties.

## Request Syntax
<a name="API_CreateCustomPlugin_RequestSyntax"></a>

```
POST /v1/custom-plugins HTTP/1.1
Content-type: application/json

{
   "contentType": "string",
   "description": "string",
   "location": { 
      "s3Location": { 
         "bucketArn": "string",
         "fileKey": "string",
         "objectVersion": "string"
      }
   },
   "name": "string",
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters
<a name="API_CreateCustomPlugin_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_CreateCustomPlugin_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [contentType](#API_CreateCustomPlugin_RequestSyntax) **   <a name="MSKC-CreateCustomPlugin-request-contentType"></a>
The type of the plugin file.  
Type: String  
Valid Values: `JAR | ZIP`   
Required: Yes

 ** [description](#API_CreateCustomPlugin_RequestSyntax) **   <a name="MSKC-CreateCustomPlugin-request-description"></a>
A summary description of the custom plugin.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Required: No

 ** [location](#API_CreateCustomPlugin_RequestSyntax) **   <a name="MSKC-CreateCustomPlugin-request-location"></a>
Information about the location of a custom plugin.  
Type: [CustomPluginLocation](API_CustomPluginLocation.md) object  
Required: Yes

 ** [name](#API_CreateCustomPlugin_RequestSyntax) **   <a name="MSKC-CreateCustomPlugin-request-name"></a>
The name of the custom plugin.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Required: Yes

 ** [tags](#API_CreateCustomPlugin_RequestSyntax) **   <a name="MSKC-CreateCustomPlugin-request-tags"></a>
The tags you want to attach to the custom plugin.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 200 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

## Response Syntax
<a name="API_CreateCustomPlugin_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "customPluginArn": "string",
   "customPluginState": "string",
   "name": "string",
   "revision": number
}
```

## Response Elements
<a name="API_CreateCustomPlugin_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [customPluginArn](#API_CreateCustomPlugin_ResponseSyntax) **   <a name="MSKC-CreateCustomPlugin-response-customPluginArn"></a>
The Amazon Resource Name (ARN) that Amazon assigned to the custom plugin.  
Type: String

 ** [customPluginState](#API_CreateCustomPlugin_ResponseSyntax) **   <a name="MSKC-CreateCustomPlugin-response-customPluginState"></a>
The state of the custom plugin.  
Type: String  
Valid Values: `CREATING | CREATE_FAILED | ACTIVE | UPDATING | UPDATE_FAILED | DELETING` 

 ** [name](#API_CreateCustomPlugin_ResponseSyntax) **   <a name="MSKC-CreateCustomPlugin-response-name"></a>
The name of the custom plugin.  
Type: String

 ** [revision](#API_CreateCustomPlugin_ResponseSyntax) **   <a name="MSKC-CreateCustomPlugin-response-revision"></a>
The revision of the custom plugin.  
Type: Long

## Errors
<a name="API_CreateCustomPlugin_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ConflictException **   
HTTP Status Code 409: Conflict. A resource with this name already exists. Retry your request with another name.  
HTTP Status Code: 409

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
HTTP Status Code: 401

## See Also
<a name="API_CreateCustomPlugin_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/kafkaconnect-2021-09-14/CreateCustomPlugin) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/kafkaconnect-2021-09-14/CreateCustomPlugin) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/kafkaconnect-2021-09-14/CreateCustomPlugin) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/kafkaconnect-2021-09-14/CreateCustomPlugin) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/kafkaconnect-2021-09-14/CreateCustomPlugin) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/kafkaconnect-2021-09-14/CreateCustomPlugin) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/kafkaconnect-2021-09-14/CreateCustomPlugin) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/kafkaconnect-2021-09-14/CreateCustomPlugin) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/kafkaconnect-2021-09-14/CreateCustomPlugin) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/kafkaconnect-2021-09-14/CreateCustomPlugin) 

# CreateWorkerConfiguration
<a name="API_CreateWorkerConfiguration"></a>

Creates a worker configuration using the specified properties.

## Request Syntax
<a name="API_CreateWorkerConfiguration_RequestSyntax"></a>

```
POST /v1/worker-configurations HTTP/1.1
Content-type: application/json

{
   "description": "string",
   "name": "string",
   "propertiesFileContent": "string",
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters
<a name="API_CreateWorkerConfiguration_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_CreateWorkerConfiguration_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [description](#API_CreateWorkerConfiguration_RequestSyntax) **   <a name="MSKC-CreateWorkerConfiguration-request-description"></a>
A summary description of the worker configuration.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Required: No

 ** [name](#API_CreateWorkerConfiguration_RequestSyntax) **   <a name="MSKC-CreateWorkerConfiguration-request-name"></a>
The name of the worker configuration.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Required: Yes

 ** [propertiesFileContent](#API_CreateWorkerConfiguration_RequestSyntax) **   <a name="MSKC-CreateWorkerConfiguration-request-propertiesFileContent"></a>
Base64 encoded contents of connect-distributed.properties file.  
Type: String  
Required: Yes

 ** [tags](#API_CreateWorkerConfiguration_RequestSyntax) **   <a name="MSKC-CreateWorkerConfiguration-request-tags"></a>
The tags you want to attach to the worker configuration.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 200 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

## Response Syntax
<a name="API_CreateWorkerConfiguration_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "creationTime": "string",
   "latestRevision": { 
      "creationTime": "string",
      "description": "string",
      "revision": number
   },
   "name": "string",
   "workerConfigurationArn": "string",
   "workerConfigurationState": "string"
}
```

## Response Elements
<a name="API_CreateWorkerConfiguration_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [creationTime](#API_CreateWorkerConfiguration_ResponseSyntax) **   <a name="MSKC-CreateWorkerConfiguration-response-creationTime"></a>
The time that the worker configuration was created.  
Type: Timestamp

 ** [latestRevision](#API_CreateWorkerConfiguration_ResponseSyntax) **   <a name="MSKC-CreateWorkerConfiguration-response-latestRevision"></a>
The latest revision of the worker configuration.  
Type: [WorkerConfigurationRevisionSummary](API_WorkerConfigurationRevisionSummary.md) object

 ** [name](#API_CreateWorkerConfiguration_ResponseSyntax) **   <a name="MSKC-CreateWorkerConfiguration-response-name"></a>
The name of the worker configuration.  
Type: String

 ** [workerConfigurationArn](#API_CreateWorkerConfiguration_ResponseSyntax) **   <a name="MSKC-CreateWorkerConfiguration-response-workerConfigurationArn"></a>
The Amazon Resource Name (ARN) that Amazon assigned to the worker configuration.  
Type: String

 ** [workerConfigurationState](#API_CreateWorkerConfiguration_ResponseSyntax) **   <a name="MSKC-CreateWorkerConfiguration-response-workerConfigurationState"></a>
The state of the worker configuration.  
Type: String  
Valid Values: `ACTIVE | DELETING` 

## Errors
<a name="API_CreateWorkerConfiguration_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ConflictException **   
HTTP Status Code 409: Conflict. A resource with this name already exists. Retry your request with another name.  
HTTP Status Code: 409

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
HTTP Status Code: 401

## See Also
<a name="API_CreateWorkerConfiguration_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/kafkaconnect-2021-09-14/CreateWorkerConfiguration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/kafkaconnect-2021-09-14/CreateWorkerConfiguration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/kafkaconnect-2021-09-14/CreateWorkerConfiguration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/kafkaconnect-2021-09-14/CreateWorkerConfiguration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/kafkaconnect-2021-09-14/CreateWorkerConfiguration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/kafkaconnect-2021-09-14/CreateWorkerConfiguration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/kafkaconnect-2021-09-14/CreateWorkerConfiguration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/kafkaconnect-2021-09-14/CreateWorkerConfiguration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/kafkaconnect-2021-09-14/CreateWorkerConfiguration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/kafkaconnect-2021-09-14/CreateWorkerConfiguration) 

# DeleteConnector
<a name="API_DeleteConnector"></a>

Deletes the specified connector.

## Request Syntax
<a name="API_DeleteConnector_RequestSyntax"></a>

```
DELETE /v1/connectors/connectorArn?currentVersion=currentVersion HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteConnector_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectorArn](#API_DeleteConnector_RequestSyntax) **   <a name="MSKC-DeleteConnector-request-uri-connectorArn"></a>
The Amazon Resource Name (ARN) of the connector that you want to delete.  
Required: Yes

 ** [currentVersion](#API_DeleteConnector_RequestSyntax) **   <a name="MSKC-DeleteConnector-request-uri-currentVersion"></a>
The current version of the connector that you want to delete.

## Request Body
<a name="API_DeleteConnector_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteConnector_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "connectorArn": "string",
   "connectorState": "string"
}
```

## Response Elements
<a name="API_DeleteConnector_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [connectorArn](#API_DeleteConnector_ResponseSyntax) **   <a name="MSKC-DeleteConnector-response-connectorArn"></a>
The Amazon Resource Name (ARN) of the connector that you requested to delete.  
Type: String

 ** [connectorState](#API_DeleteConnector_ResponseSyntax) **   <a name="MSKC-DeleteConnector-response-connectorState"></a>
The state of the connector that you requested to delete.  
Type: String  
Valid Values: `RUNNING | CREATING | UPDATING | DELETING | FAILED` 

## Errors
<a name="API_DeleteConnector_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
HTTP Status Code: 401

## See Also
<a name="API_DeleteConnector_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/kafkaconnect-2021-09-14/DeleteConnector) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/kafkaconnect-2021-09-14/DeleteConnector) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/kafkaconnect-2021-09-14/DeleteConnector) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/kafkaconnect-2021-09-14/DeleteConnector) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/kafkaconnect-2021-09-14/DeleteConnector) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/kafkaconnect-2021-09-14/DeleteConnector) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/kafkaconnect-2021-09-14/DeleteConnector) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/kafkaconnect-2021-09-14/DeleteConnector) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/kafkaconnect-2021-09-14/DeleteConnector) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/kafkaconnect-2021-09-14/DeleteConnector) 

# DeleteCustomPlugin
<a name="API_DeleteCustomPlugin"></a>

Deletes a custom plugin.

## Request Syntax
<a name="API_DeleteCustomPlugin_RequestSyntax"></a>

```
DELETE /v1/custom-plugins/customPluginArn HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteCustomPlugin_RequestParameters"></a>

The request uses the following URI parameters.

 ** [customPluginArn](#API_DeleteCustomPlugin_RequestSyntax) **   <a name="MSKC-DeleteCustomPlugin-request-uri-customPluginArn"></a>
The Amazon Resource Name (ARN) of the custom plugin that you want to delete.  
Required: Yes

## Request Body
<a name="API_DeleteCustomPlugin_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteCustomPlugin_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "customPluginArn": "string",
   "customPluginState": "string"
}
```

## Response Elements
<a name="API_DeleteCustomPlugin_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [customPluginArn](#API_DeleteCustomPlugin_ResponseSyntax) **   <a name="MSKC-DeleteCustomPlugin-response-customPluginArn"></a>
The Amazon Resource Name (ARN) of the custom plugin that you requested to delete.  
Type: String

 ** [customPluginState](#API_DeleteCustomPlugin_ResponseSyntax) **   <a name="MSKC-DeleteCustomPlugin-response-customPluginState"></a>
The state of the custom plugin.  
Type: String  
Valid Values: `CREATING | CREATE_FAILED | ACTIVE | UPDATING | UPDATE_FAILED | DELETING` 

## Errors
<a name="API_DeleteCustomPlugin_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
HTTP Status Code: 401

## See Also
<a name="API_DeleteCustomPlugin_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/kafkaconnect-2021-09-14/DeleteCustomPlugin) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/kafkaconnect-2021-09-14/DeleteCustomPlugin) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/kafkaconnect-2021-09-14/DeleteCustomPlugin) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/kafkaconnect-2021-09-14/DeleteCustomPlugin) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/kafkaconnect-2021-09-14/DeleteCustomPlugin) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/kafkaconnect-2021-09-14/DeleteCustomPlugin) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/kafkaconnect-2021-09-14/DeleteCustomPlugin) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/kafkaconnect-2021-09-14/DeleteCustomPlugin) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/kafkaconnect-2021-09-14/DeleteCustomPlugin) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/kafkaconnect-2021-09-14/DeleteCustomPlugin) 

# DeleteWorkerConfiguration
<a name="API_DeleteWorkerConfiguration"></a>

Deletes the specified worker configuration.

## Request Syntax
<a name="API_DeleteWorkerConfiguration_RequestSyntax"></a>

```
DELETE /v1/worker-configurations/workerConfigurationArn HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteWorkerConfiguration_RequestParameters"></a>

The request uses the following URI parameters.

 ** [workerConfigurationArn](#API_DeleteWorkerConfiguration_RequestSyntax) **   <a name="MSKC-DeleteWorkerConfiguration-request-uri-workerConfigurationArn"></a>
The Amazon Resource Name (ARN) of the worker configuration that you want to delete.  
Required: Yes

## Request Body
<a name="API_DeleteWorkerConfiguration_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteWorkerConfiguration_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "workerConfigurationArn": "string",
   "workerConfigurationState": "string"
}
```

## Response Elements
<a name="API_DeleteWorkerConfiguration_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [workerConfigurationArn](#API_DeleteWorkerConfiguration_ResponseSyntax) **   <a name="MSKC-DeleteWorkerConfiguration-response-workerConfigurationArn"></a>
The Amazon Resource Name (ARN) of the worker configuration that you requested to delete.  
Type: String

 ** [workerConfigurationState](#API_DeleteWorkerConfiguration_ResponseSyntax) **   <a name="MSKC-DeleteWorkerConfiguration-response-workerConfigurationState"></a>
The state of the worker configuration.  
Type: String  
Valid Values: `ACTIVE | DELETING` 

## Errors
<a name="API_DeleteWorkerConfiguration_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
HTTP Status Code: 401

## See Also
<a name="API_DeleteWorkerConfiguration_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/kafkaconnect-2021-09-14/DeleteWorkerConfiguration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/kafkaconnect-2021-09-14/DeleteWorkerConfiguration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/kafkaconnect-2021-09-14/DeleteWorkerConfiguration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/kafkaconnect-2021-09-14/DeleteWorkerConfiguration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/kafkaconnect-2021-09-14/DeleteWorkerConfiguration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/kafkaconnect-2021-09-14/DeleteWorkerConfiguration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/kafkaconnect-2021-09-14/DeleteWorkerConfiguration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/kafkaconnect-2021-09-14/DeleteWorkerConfiguration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/kafkaconnect-2021-09-14/DeleteWorkerConfiguration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/kafkaconnect-2021-09-14/DeleteWorkerConfiguration) 

# DescribeConnector
<a name="API_DescribeConnector"></a>

Returns summary information about the connector.

## Request Syntax
<a name="API_DescribeConnector_RequestSyntax"></a>

```
GET /v1/connectors/connectorArn HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeConnector_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectorArn](#API_DescribeConnector_RequestSyntax) **   <a name="MSKC-DescribeConnector-request-uri-connectorArn"></a>
The Amazon Resource Name (ARN) of the connector that you want to describe.  
Required: Yes

## Request Body
<a name="API_DescribeConnector_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeConnector_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "capacity": { 
      "autoScaling": { 
         "maxAutoscalingTaskCount": number,
         "maxWorkerCount": number,
         "mcuCount": number,
         "minWorkerCount": number,
         "scaleInPolicy": { 
            "cpuUtilizationPercentage": number
         },
         "scaleOutPolicy": { 
            "cpuUtilizationPercentage": number
         }
      },
      "provisionedCapacity": { 
         "mcuCount": number,
         "workerCount": number
      }
   },
   "connectorArn": "string",
   "connectorConfiguration": { 
      "string" : "string" 
   },
   "connectorDescription": "string",
   "connectorName": "string",
   "connectorState": "string",
   "creationTime": "string",
   "currentVersion": "string",
   "kafkaCluster": { 
      "apacheKafkaCluster": { 
         "bootstrapServers": "string",
         "vpc": { 
            "securityGroups": [ "string" ],
            "subnets": [ "string" ]
         }
      }
   },
   "kafkaClusterClientAuthentication": { 
      "authenticationType": "string"
   },
   "kafkaClusterEncryptionInTransit": { 
      "encryptionType": "string"
   },
   "kafkaConnectVersion": "string",
   "logDelivery": { 
      "workerLogDelivery": { 
         "cloudWatchLogs": { 
            "enabled": boolean,
            "logGroup": "string"
         },
         "firehose": { 
            "deliveryStream": "string",
            "enabled": boolean
         },
         "s3": { 
            "bucket": "string",
            "enabled": boolean,
            "prefix": "string"
         }
      }
   },
   "networkType": "string",
   "plugins": [ 
      { 
         "customPlugin": { 
            "customPluginArn": "string",
            "revision": number
         }
      }
   ],
   "serviceExecutionRoleArn": "string",
   "stateDescription": { 
      "code": "string",
      "message": "string"
   },
   "workerConfiguration": { 
      "revision": number,
      "workerConfigurationArn": "string"
   }
}
```

## Response Elements
<a name="API_DescribeConnector_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [capacity](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-capacity"></a>
Information about the capacity of the connector, whether it is auto scaled or provisioned.  
Type: [CapacityDescription](API_CapacityDescription.md) object

 ** [connectorArn](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-connectorArn"></a>
The Amazon Resource Name (ARN) of the connector.  
Type: String

 ** [connectorConfiguration](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-connectorConfiguration"></a>
A map of keys to values that represent the configuration for the connector.  
Type: String to string map

 ** [connectorDescription](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-connectorDescription"></a>
A summary description of the connector.  
Type: String

 ** [connectorName](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-connectorName"></a>
The name of the connector.  
Type: String

 ** [connectorState](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-connectorState"></a>
The state of the connector.  
Type: String  
Valid Values: `RUNNING | CREATING | UPDATING | DELETING | FAILED` 

 ** [creationTime](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-creationTime"></a>
The time the connector was created.  
Type: Timestamp

 ** [currentVersion](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-currentVersion"></a>
The current version of the connector.  
Type: String

 ** [kafkaCluster](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-kafkaCluster"></a>
The Apache Kafka cluster that the connector is connected to.  
Type: [KafkaClusterDescription](API_KafkaClusterDescription.md) object

 ** [kafkaClusterClientAuthentication](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-kafkaClusterClientAuthentication"></a>
The type of client authentication used to connect to the Apache Kafka cluster. The value is NONE when no client authentication is used.  
Type: [KafkaClusterClientAuthenticationDescription](API_KafkaClusterClientAuthenticationDescription.md) object

 ** [kafkaClusterEncryptionInTransit](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-kafkaClusterEncryptionInTransit"></a>
Details of encryption in transit to the Apache Kafka cluster.  
Type: [KafkaClusterEncryptionInTransitDescription](API_KafkaClusterEncryptionInTransitDescription.md) object

 ** [kafkaConnectVersion](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-kafkaConnectVersion"></a>
The version of Kafka Connect. It has to be compatible with both the Apache Kafka cluster's version and the plugins.  
Type: String

 ** [logDelivery](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-logDelivery"></a>
Details about delivering logs to Amazon CloudWatch Logs.  
Type: [LogDeliveryDescription](API_LogDeliveryDescription.md) object

 ** [networkType](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-networkType"></a>
The network type of the connector. It gives connectors connectivity to either IPv4 (IPV4) or IPv4 and IPv6 (DUAL) destinations. Defaults to IPV4.  
Type: String  
Valid Values: `IPV4 | DUAL` 

 ** [plugins](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-plugins"></a>
Specifies which plugins were used for this connector.  
Type: Array of [PluginDescription](API_PluginDescription.md) objects

 ** [serviceExecutionRoleArn](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-serviceExecutionRoleArn"></a>
The Amazon Resource Name (ARN) of the IAM role used by the connector to access Amazon Web Services resources.  
Type: String

 ** [stateDescription](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-stateDescription"></a>
Details about the state of a connector.  
Type: [StateDescription](API_StateDescription.md) object

 ** [workerConfiguration](#API_DescribeConnector_ResponseSyntax) **   <a name="MSKC-DescribeConnector-response-workerConfiguration"></a>
Specifies which worker configuration was used for the connector.  
Type: [WorkerConfigurationDescription](API_WorkerConfigurationDescription.md) object

## Errors
<a name="API_DescribeConnector_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
HTTP Status Code: 401

## See Also
<a name="API_DescribeConnector_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/kafkaconnect-2021-09-14/DescribeConnector) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/kafkaconnect-2021-09-14/DescribeConnector) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/kafkaconnect-2021-09-14/DescribeConnector) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/kafkaconnect-2021-09-14/DescribeConnector) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/kafkaconnect-2021-09-14/DescribeConnector) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/kafkaconnect-2021-09-14/DescribeConnector) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/kafkaconnect-2021-09-14/DescribeConnector) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/kafkaconnect-2021-09-14/DescribeConnector) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/kafkaconnect-2021-09-14/DescribeConnector) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/kafkaconnect-2021-09-14/DescribeConnector) 

# DescribeConnectorOperation
<a name="API_DescribeConnectorOperation"></a>

Returns information about the specified connector's operations.

## Request Syntax
<a name="API_DescribeConnectorOperation_RequestSyntax"></a>

```
GET /v1/connectorOperations/connectorOperationArn HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeConnectorOperation_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectorOperationArn](#API_DescribeConnectorOperation_RequestSyntax) **   <a name="MSKC-DescribeConnectorOperation-request-uri-connectorOperationArn"></a>
ARN of the connector operation to be described.  
Required: Yes

## Request Body
<a name="API_DescribeConnectorOperation_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeConnectorOperation_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "connectorArn": "string",
   "connectorOperationArn": "string",
   "connectorOperationState": "string",
   "connectorOperationType": "string",
   "creationTime": "string",
   "endTime": "string",
   "errorInfo": { 
      "code": "string",
      "message": "string"
   },
   "operationSteps": [ 
      { 
         "stepState": "string",
         "stepType": "string"
      }
   ],
   "originConnectorConfiguration": { 
      "string" : "string" 
   },
   "originWorkerSetting": { 
      "capacity": { 
         "autoScaling": { 
            "maxAutoscalingTaskCount": number,
            "maxWorkerCount": number,
            "mcuCount": number,
            "minWorkerCount": number,
            "scaleInPolicy": { 
               "cpuUtilizationPercentage": number
            },
            "scaleOutPolicy": { 
               "cpuUtilizationPercentage": number
            }
         },
         "provisionedCapacity": { 
            "mcuCount": number,
            "workerCount": number
         }
      }
   },
   "targetConnectorConfiguration": { 
      "string" : "string" 
   },
   "targetWorkerSetting": { 
      "capacity": { 
         "autoScaling": { 
            "maxAutoscalingTaskCount": number,
            "maxWorkerCount": number,
            "mcuCount": number,
            "minWorkerCount": number,
            "scaleInPolicy": { 
               "cpuUtilizationPercentage": number
            },
            "scaleOutPolicy": { 
               "cpuUtilizationPercentage": number
            }
         },
         "provisionedCapacity": { 
            "mcuCount": number,
            "workerCount": number
         }
      }
   }
}
```

## Response Elements
<a name="API_DescribeConnectorOperation_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [connectorArn](#API_DescribeConnectorOperation_ResponseSyntax) **   <a name="MSKC-DescribeConnectorOperation-response-connectorArn"></a>
The Amazon Resource Name (ARN) of the connector.  
Type: String

 ** [connectorOperationArn](#API_DescribeConnectorOperation_ResponseSyntax) **   <a name="MSKC-DescribeConnectorOperation-response-connectorOperationArn"></a>
The Amazon Resource Name (ARN) of the connector operation.  
Type: String

 ** [connectorOperationState](#API_DescribeConnectorOperation_ResponseSyntax) **   <a name="MSKC-DescribeConnectorOperation-response-connectorOperationState"></a>
The state of the connector operation.  
Type: String  
Valid Values: `PENDING | UPDATE_IN_PROGRESS | UPDATE_COMPLETE | UPDATE_FAILED | ROLLBACK_IN_PROGRESS | ROLLBACK_FAILED | ROLLBACK_COMPLETE` 

 ** [connectorOperationType](#API_DescribeConnectorOperation_ResponseSyntax) **   <a name="MSKC-DescribeConnectorOperation-response-connectorOperationType"></a>
The type of connector operation performed.  
Type: String  
Valid Values: `UPDATE_WORKER_SETTING | UPDATE_CONNECTOR_CONFIGURATION | ISOLATE_CONNECTOR | RESTORE_CONNECTOR` 

 ** [creationTime](#API_DescribeConnectorOperation_ResponseSyntax) **   <a name="MSKC-DescribeConnectorOperation-response-creationTime"></a>
The time when the operation was created.  
Type: Timestamp

 ** [endTime](#API_DescribeConnectorOperation_ResponseSyntax) **   <a name="MSKC-DescribeConnectorOperation-response-endTime"></a>
The time when the operation ended.  
Type: Timestamp

 ** [errorInfo](#API_DescribeConnectorOperation_ResponseSyntax) **   <a name="MSKC-DescribeConnectorOperation-response-errorInfo"></a>
Details about the state of a resource.  
Type: [StateDescription](API_StateDescription.md) object

 ** [operationSteps](#API_DescribeConnectorOperation_ResponseSyntax) **   <a name="MSKC-DescribeConnectorOperation-response-operationSteps"></a>
The array of operation steps taken.  
Type: Array of [ConnectorOperationStep](API_ConnectorOperationStep.md) objects

 ** [originConnectorConfiguration](#API_DescribeConnectorOperation_ResponseSyntax) **   <a name="MSKC-DescribeConnectorOperation-response-originConnectorConfiguration"></a>
The origin connector configuration.  
Type: String to string map

 ** [originWorkerSetting](#API_DescribeConnectorOperation_ResponseSyntax) **   <a name="MSKC-DescribeConnectorOperation-response-originWorkerSetting"></a>
The origin worker setting.  
Type: [WorkerSetting](API_WorkerSetting.md) object

 ** [targetConnectorConfiguration](#API_DescribeConnectorOperation_ResponseSyntax) **   <a name="MSKC-DescribeConnectorOperation-response-targetConnectorConfiguration"></a>
The target connector configuration.  
Type: String to string map

 ** [targetWorkerSetting](#API_DescribeConnectorOperation_ResponseSyntax) **   <a name="MSKC-DescribeConnectorOperation-response-targetWorkerSetting"></a>
The target worker setting.  
Type: [WorkerSetting](API_WorkerSetting.md) object

## Errors
<a name="API_DescribeConnectorOperation_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
HTTP Status Code: 401

## See Also
<a name="API_DescribeConnectorOperation_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/kafkaconnect-2021-09-14/DescribeConnectorOperation) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/kafkaconnect-2021-09-14/DescribeConnectorOperation) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/kafkaconnect-2021-09-14/DescribeConnectorOperation) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/kafkaconnect-2021-09-14/DescribeConnectorOperation) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/kafkaconnect-2021-09-14/DescribeConnectorOperation) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/kafkaconnect-2021-09-14/DescribeConnectorOperation) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/kafkaconnect-2021-09-14/DescribeConnectorOperation) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/kafkaconnect-2021-09-14/DescribeConnectorOperation) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/kafkaconnect-2021-09-14/DescribeConnectorOperation) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/kafkaconnect-2021-09-14/DescribeConnectorOperation) 

# DescribeCustomPlugin
<a name="API_DescribeCustomPlugin"></a>

A summary description of the custom plugin.

## Request Syntax
<a name="API_DescribeCustomPlugin_RequestSyntax"></a>

```
GET /v1/custom-plugins/customPluginArn HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeCustomPlugin_RequestParameters"></a>

The request uses the following URI parameters.

 ** [customPluginArn](#API_DescribeCustomPlugin_RequestSyntax) **   <a name="MSKC-DescribeCustomPlugin-request-uri-customPluginArn"></a>
Returns information about a custom plugin.  
Required: Yes

## Request Body
<a name="API_DescribeCustomPlugin_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeCustomPlugin_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "creationTime": "string",
   "customPluginArn": "string",
   "customPluginState": "string",
   "description": "string",
   "latestRevision": { 
      "contentType": "string",
      "creationTime": "string",
      "description": "string",
      "fileDescription": { 
         "fileMd5": "string",
         "fileSize": number
      },
      "location": { 
         "s3Location": { 
            "bucketArn": "string",
            "fileKey": "string",
            "objectVersion": "string"
         }
      },
      "revision": number
   },
   "name": "string",
   "stateDescription": { 
      "code": "string",
      "message": "string"
   }
}
```

## Response Elements
<a name="API_DescribeCustomPlugin_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [creationTime](#API_DescribeCustomPlugin_ResponseSyntax) **   <a name="MSKC-DescribeCustomPlugin-response-creationTime"></a>
The time that the custom plugin was created.  
Type: Timestamp

 ** [customPluginArn](#API_DescribeCustomPlugin_ResponseSyntax) **   <a name="MSKC-DescribeCustomPlugin-response-customPluginArn"></a>
The Amazon Resource Name (ARN) of the custom plugin.  
Type: String

 ** [customPluginState](#API_DescribeCustomPlugin_ResponseSyntax) **   <a name="MSKC-DescribeCustomPlugin-response-customPluginState"></a>
The state of the custom plugin.  
Type: String  
Valid Values: `CREATING | CREATE_FAILED | ACTIVE | UPDATING | UPDATE_FAILED | DELETING` 

 ** [description](#API_DescribeCustomPlugin_ResponseSyntax) **   <a name="MSKC-DescribeCustomPlugin-response-description"></a>
The description of the custom plugin.  
Type: String

 ** [latestRevision](#API_DescribeCustomPlugin_ResponseSyntax) **   <a name="MSKC-DescribeCustomPlugin-response-latestRevision"></a>
The latest successfully created revision of the custom plugin. If there are no successfully created revisions, this field will be absent.  
Type: [CustomPluginRevisionSummary](API_CustomPluginRevisionSummary.md) object

 ** [name](#API_DescribeCustomPlugin_ResponseSyntax) **   <a name="MSKC-DescribeCustomPlugin-response-name"></a>
The name of the custom plugin.  
Type: String

 ** [stateDescription](#API_DescribeCustomPlugin_ResponseSyntax) **   <a name="MSKC-DescribeCustomPlugin-response-stateDescription"></a>
Details about the state of a custom plugin.  
Type: [StateDescription](API_StateDescription.md) object

## Errors
<a name="API_DescribeCustomPlugin_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
HTTP Status Code: 401

## See Also
<a name="API_DescribeCustomPlugin_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/kafkaconnect-2021-09-14/DescribeCustomPlugin) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/kafkaconnect-2021-09-14/DescribeCustomPlugin) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/kafkaconnect-2021-09-14/DescribeCustomPlugin) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/kafkaconnect-2021-09-14/DescribeCustomPlugin) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/kafkaconnect-2021-09-14/DescribeCustomPlugin) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/kafkaconnect-2021-09-14/DescribeCustomPlugin) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/kafkaconnect-2021-09-14/DescribeCustomPlugin) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/kafkaconnect-2021-09-14/DescribeCustomPlugin) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/kafkaconnect-2021-09-14/DescribeCustomPlugin) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/kafkaconnect-2021-09-14/DescribeCustomPlugin) 

# DescribeWorkerConfiguration
<a name="API_DescribeWorkerConfiguration"></a>

Returns information about a worker configuration.

## Request Syntax
<a name="API_DescribeWorkerConfiguration_RequestSyntax"></a>

```
GET /v1/worker-configurations/workerConfigurationArn HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeWorkerConfiguration_RequestParameters"></a>

The request uses the following URI parameters.

 ** [workerConfigurationArn](#API_DescribeWorkerConfiguration_RequestSyntax) **   <a name="MSKC-DescribeWorkerConfiguration-request-uri-workerConfigurationArn"></a>
The Amazon Resource Name (ARN) of the worker configuration that you want to get information about.  
Required: Yes

## Request Body
<a name="API_DescribeWorkerConfiguration_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeWorkerConfiguration_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "creationTime": "string",
   "description": "string",
   "latestRevision": { 
      "creationTime": "string",
      "description": "string",
      "propertiesFileContent": "string",
      "revision": number
   },
   "name": "string",
   "workerConfigurationArn": "string",
   "workerConfigurationState": "string"
}
```

## Response Elements
<a name="API_DescribeWorkerConfiguration_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [creationTime](#API_DescribeWorkerConfiguration_ResponseSyntax) **   <a name="MSKC-DescribeWorkerConfiguration-response-creationTime"></a>
The time that the worker configuration was created.  
Type: Timestamp

 ** [description](#API_DescribeWorkerConfiguration_ResponseSyntax) **   <a name="MSKC-DescribeWorkerConfiguration-response-description"></a>
The description of the worker configuration.  
Type: String

 ** [latestRevision](#API_DescribeWorkerConfiguration_ResponseSyntax) **   <a name="MSKC-DescribeWorkerConfiguration-response-latestRevision"></a>
The latest revision of the custom configuration.  
Type: [WorkerConfigurationRevisionDescription](API_WorkerConfigurationRevisionDescription.md) object

 ** [name](#API_DescribeWorkerConfiguration_ResponseSyntax) **   <a name="MSKC-DescribeWorkerConfiguration-response-name"></a>
The name of the worker configuration.  
Type: String

 ** [workerConfigurationArn](#API_DescribeWorkerConfiguration_ResponseSyntax) **   <a name="MSKC-DescribeWorkerConfiguration-response-workerConfigurationArn"></a>
The Amazon Resource Name (ARN) of the custom configuration.  
Type: String

 ** [workerConfigurationState](#API_DescribeWorkerConfiguration_ResponseSyntax) **   <a name="MSKC-DescribeWorkerConfiguration-response-workerConfigurationState"></a>
The state of the worker configuration.  
Type: String  
Valid Values: `ACTIVE | DELETING` 

## Errors
<a name="API_DescribeWorkerConfiguration_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
HTTP Status Code: 401

## See Also
<a name="API_DescribeWorkerConfiguration_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/kafkaconnect-2021-09-14/DescribeWorkerConfiguration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/kafkaconnect-2021-09-14/DescribeWorkerConfiguration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/kafkaconnect-2021-09-14/DescribeWorkerConfiguration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/kafkaconnect-2021-09-14/DescribeWorkerConfiguration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/kafkaconnect-2021-09-14/DescribeWorkerConfiguration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/kafkaconnect-2021-09-14/DescribeWorkerConfiguration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/kafkaconnect-2021-09-14/DescribeWorkerConfiguration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/kafkaconnect-2021-09-14/DescribeWorkerConfiguration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/kafkaconnect-2021-09-14/DescribeWorkerConfiguration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/kafkaconnect-2021-09-14/DescribeWorkerConfiguration) 

# ListConnectorOperations
<a name="API_ListConnectorOperations"></a>

Lists information about a connector's operation(s).

## Request Syntax
<a name="API_ListConnectorOperations_RequestSyntax"></a>

```
GET /v1/connectors/connectorArn/operations?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListConnectorOperations_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectorArn](#API_ListConnectorOperations_RequestSyntax) **   <a name="MSKC-ListConnectorOperations-request-uri-connectorArn"></a>
The Amazon Resource Name (ARN) of the connector for which to list operations.  
Required: Yes

 ** [maxResults](#API_ListConnectorOperations_RequestSyntax) **   <a name="MSKC-ListConnectorOperations-request-uri-maxResults"></a>
Maximum number of connector operations to fetch in one get request.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_ListConnectorOperations_RequestSyntax) **   <a name="MSKC-ListConnectorOperations-request-uri-nextToken"></a>
If the response is truncated, it includes a NextToken. Send this NextToken in a subsequent request to continue listing from where it left off.

## Request Body
<a name="API_ListConnectorOperations_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListConnectorOperations_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "connectorOperations": [ 
      { 
         "connectorOperationArn": "string",
         "connectorOperationState": "string",
         "connectorOperationType": "string",
         "creationTime": "string",
         "endTime": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListConnectorOperations_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [connectorOperations](#API_ListConnectorOperations_ResponseSyntax) **   <a name="MSKC-ListConnectorOperations-response-connectorOperations"></a>
An array of connector operation descriptions.  
Type: Array of [ConnectorOperationSummary](API_ConnectorOperationSummary.md) objects

 ** [nextToken](#API_ListConnectorOperations_ResponseSyntax) **   <a name="MSKC-ListConnectorOperations-response-nextToken"></a>
If the response is truncated, it includes a NextToken. Send this NextToken in a subsequent request to continue listing from where it left off.  
Type: String

## Errors
<a name="API_ListConnectorOperations_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
HTTP Status Code: 401

## See Also
<a name="API_ListConnectorOperations_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/kafkaconnect-2021-09-14/ListConnectorOperations) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/kafkaconnect-2021-09-14/ListConnectorOperations) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/kafkaconnect-2021-09-14/ListConnectorOperations) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/kafkaconnect-2021-09-14/ListConnectorOperations) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/kafkaconnect-2021-09-14/ListConnectorOperations) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/kafkaconnect-2021-09-14/ListConnectorOperations) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/kafkaconnect-2021-09-14/ListConnectorOperations) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/kafkaconnect-2021-09-14/ListConnectorOperations) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/kafkaconnect-2021-09-14/ListConnectorOperations) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/kafkaconnect-2021-09-14/ListConnectorOperations) 

# ListConnectors
<a name="API_ListConnectors"></a>

Returns a list of all the connectors in this account and Region. The list is limited to connectors whose name starts with the specified prefix. The response also includes a description of each of the listed connectors.

## Request Syntax
<a name="API_ListConnectors_RequestSyntax"></a>

```
GET /v1/connectors?connectorNamePrefix=connectorNamePrefix&maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListConnectors_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectorNamePrefix](#API_ListConnectors_RequestSyntax) **   <a name="MSKC-ListConnectors-request-uri-connectorNamePrefix"></a>
The name prefix that you want to use to search for and list connectors.

 ** [maxResults](#API_ListConnectors_RequestSyntax) **   <a name="MSKC-ListConnectors-request-uri-maxResults"></a>
The maximum number of connectors to list in one response.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_ListConnectors_RequestSyntax) **   <a name="MSKC-ListConnectors-request-uri-nextToken"></a>
If the response of a ListConnectors operation is truncated, it will include a NextToken. Send this NextToken in a subsequent request to continue listing from where the previous operation left off.

## Request Body
<a name="API_ListConnectors_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListConnectors_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "connectors": [ 
      { 
         "capacity": { 
            "autoScaling": { 
               "maxAutoscalingTaskCount": number,
               "maxWorkerCount": number,
               "mcuCount": number,
               "minWorkerCount": number,
               "scaleInPolicy": { 
                  "cpuUtilizationPercentage": number
               },
               "scaleOutPolicy": { 
                  "cpuUtilizationPercentage": number
               }
            },
            "provisionedCapacity": { 
               "mcuCount": number,
               "workerCount": number
            }
         },
         "connectorArn": "string",
         "connectorDescription": "string",
         "connectorName": "string",
         "connectorState": "string",
         "creationTime": "string",
         "currentVersion": "string",
         "kafkaCluster": { 
            "apacheKafkaCluster": { 
               "bootstrapServers": "string",
               "vpc": { 
                  "securityGroups": [ "string" ],
                  "subnets": [ "string" ]
               }
            }
         },
         "kafkaClusterClientAuthentication": { 
            "authenticationType": "string"
         },
         "kafkaClusterEncryptionInTransit": { 
            "encryptionType": "string"
         },
         "kafkaConnectVersion": "string",
         "logDelivery": { 
            "workerLogDelivery": { 
               "cloudWatchLogs": { 
                  "enabled": boolean,
                  "logGroup": "string"
               },
               "firehose": { 
                  "deliveryStream": "string",
                  "enabled": boolean
               },
               "s3": { 
                  "bucket": "string",
                  "enabled": boolean,
                  "prefix": "string"
               }
            }
         },
         "networkType": "string",
         "plugins": [ 
            { 
               "customPlugin": { 
                  "customPluginArn": "string",
                  "revision": number
               }
            }
         ],
         "serviceExecutionRoleArn": "string",
         "workerConfiguration": { 
            "revision": number,
            "workerConfigurationArn": "string"
         }
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListConnectors_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [connectors](#API_ListConnectors_ResponseSyntax) **   <a name="MSKC-ListConnectors-response-connectors"></a>
An array of connector descriptions.  
Type: Array of [ConnectorSummary](API_ConnectorSummary.md) objects

 ** [nextToken](#API_ListConnectors_ResponseSyntax) **   <a name="MSKC-ListConnectors-response-nextToken"></a>
If the response of a ListConnectors operation is truncated, it will include a NextToken. Send this NextToken in a subsequent request to continue listing from where it left off.  
Type: String

## Errors
<a name="API_ListConnectors_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
HTTP Status Code: 401

## See Also
<a name="API_ListConnectors_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/kafkaconnect-2021-09-14/ListConnectors) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/kafkaconnect-2021-09-14/ListConnectors) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/kafkaconnect-2021-09-14/ListConnectors) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/kafkaconnect-2021-09-14/ListConnectors) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/kafkaconnect-2021-09-14/ListConnectors) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/kafkaconnect-2021-09-14/ListConnectors) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/kafkaconnect-2021-09-14/ListConnectors) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/kafkaconnect-2021-09-14/ListConnectors) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/kafkaconnect-2021-09-14/ListConnectors) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/kafkaconnect-2021-09-14/ListConnectors) 

# ListCustomPlugins
<a name="API_ListCustomPlugins"></a>

Returns a list of all of the custom plugins in this account and Region.

## Request Syntax
<a name="API_ListCustomPlugins_RequestSyntax"></a>

```
GET /v1/custom-plugins?maxResults=maxResults&namePrefix=namePrefix&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListCustomPlugins_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_ListCustomPlugins_RequestSyntax) **   <a name="MSKC-ListCustomPlugins-request-uri-maxResults"></a>
The maximum number of custom plugins to list in one response.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [namePrefix](#API_ListCustomPlugins_RequestSyntax) **   <a name="MSKC-ListCustomPlugins-request-uri-namePrefix"></a>
Lists custom plugin names that start with the specified text string.

 ** [nextToken](#API_ListCustomPlugins_RequestSyntax) **   <a name="MSKC-ListCustomPlugins-request-uri-nextToken"></a>
If the response of a ListCustomPlugins operation is truncated, it will include a NextToken. Send this NextToken in a subsequent request to continue listing from where the previous operation left off.

## Request Body
<a name="API_ListCustomPlugins_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListCustomPlugins_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "customPlugins": [ 
      { 
         "creationTime": "string",
         "customPluginArn": "string",
         "customPluginState": "string",
         "description": "string",
         "latestRevision": { 
            "contentType": "string",
            "creationTime": "string",
            "description": "string",
            "fileDescription": { 
               "fileMd5": "string",
               "fileSize": number
            },
            "location": { 
               "s3Location": { 
                  "bucketArn": "string",
                  "fileKey": "string",
                  "objectVersion": "string"
               }
            },
            "revision": number
         },
         "name": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListCustomPlugins_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [customPlugins](#API_ListCustomPlugins_ResponseSyntax) **   <a name="MSKC-ListCustomPlugins-response-customPlugins"></a>
An array of custom plugin descriptions.  
Type: Array of [CustomPluginSummary](API_CustomPluginSummary.md) objects

 ** [nextToken](#API_ListCustomPlugins_ResponseSyntax) **   <a name="MSKC-ListCustomPlugins-response-nextToken"></a>
If the response of a ListCustomPlugins operation is truncated, it will include a NextToken. Send this NextToken in a subsequent request to continue listing from where the previous operation left off.  
Type: String

## Errors
<a name="API_ListCustomPlugins_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
HTTP Status Code: 401

## See Also
<a name="API_ListCustomPlugins_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/kafkaconnect-2021-09-14/ListCustomPlugins) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/kafkaconnect-2021-09-14/ListCustomPlugins) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/kafkaconnect-2021-09-14/ListCustomPlugins) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/kafkaconnect-2021-09-14/ListCustomPlugins) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/kafkaconnect-2021-09-14/ListCustomPlugins) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/kafkaconnect-2021-09-14/ListCustomPlugins) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/kafkaconnect-2021-09-14/ListCustomPlugins) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/kafkaconnect-2021-09-14/ListCustomPlugins) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/kafkaconnect-2021-09-14/ListCustomPlugins) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/kafkaconnect-2021-09-14/ListCustomPlugins) 

# ListTagsForResource
<a name="API_ListTagsForResource"></a>

Lists all the tags attached to the specified resource.

## Request Syntax
<a name="API_ListTagsForResource_RequestSyntax"></a>

```
GET /v1/tags/resourceArn HTTP/1.1
```

## URI Request Parameters
<a name="API_ListTagsForResource_RequestParameters"></a>

The request uses the following URI parameters.

 ** [resourceArn](#API_ListTagsForResource_RequestSyntax) **   <a name="MSKC-ListTagsForResource-request-uri-resourceArn"></a>
The Amazon Resource Name (ARN) of the resource for which you want to list all attached tags.  
Required: Yes

## Request Body
<a name="API_ListTagsForResource_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListTagsForResource_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "tags": { 
      "string" : "string" 
   }
}
```

## Response Elements
<a name="API_ListTagsForResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [tags](#API_ListTagsForResource_ResponseSyntax) **   <a name="MSKC-ListTagsForResource-response-tags"></a>
Lists the tags attached to the specified resource in the corresponding request.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 200 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Value Length Constraints: Minimum length of 0. Maximum length of 256.

## Errors
<a name="API_ListTagsForResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
HTTP Status Code: 401

## See Also
<a name="API_ListTagsForResource_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/kafkaconnect-2021-09-14/ListTagsForResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/kafkaconnect-2021-09-14/ListTagsForResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/kafkaconnect-2021-09-14/ListTagsForResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/kafkaconnect-2021-09-14/ListTagsForResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/kafkaconnect-2021-09-14/ListTagsForResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/kafkaconnect-2021-09-14/ListTagsForResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/kafkaconnect-2021-09-14/ListTagsForResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/kafkaconnect-2021-09-14/ListTagsForResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/kafkaconnect-2021-09-14/ListTagsForResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/kafkaconnect-2021-09-14/ListTagsForResource) 

# ListWorkerConfigurations
<a name="API_ListWorkerConfigurations"></a>

Returns a list of all of the worker configurations in this account and Region.

## Request Syntax
<a name="API_ListWorkerConfigurations_RequestSyntax"></a>

```
GET /v1/worker-configurations?maxResults=maxResults&namePrefix=namePrefix&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListWorkerConfigurations_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_ListWorkerConfigurations_RequestSyntax) **   <a name="MSKC-ListWorkerConfigurations-request-uri-maxResults"></a>
The maximum number of worker configurations to list in one response.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [namePrefix](#API_ListWorkerConfigurations_RequestSyntax) **   <a name="MSKC-ListWorkerConfigurations-request-uri-namePrefix"></a>
Lists worker configuration names that start with the specified text string.

 ** [nextToken](#API_ListWorkerConfigurations_RequestSyntax) **   <a name="MSKC-ListWorkerConfigurations-request-uri-nextToken"></a>
If the response of a ListWorkerConfigurations operation is truncated, it will include a NextToken. Send this NextToken in a subsequent request to continue listing from where the previous operation left off.

## Request Body
<a name="API_ListWorkerConfigurations_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListWorkerConfigurations_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "workerConfigurations": [ 
      { 
         "creationTime": "string",
         "description": "string",
         "latestRevision": { 
            "creationTime": "string",
            "description": "string",
            "revision": number
         },
         "name": "string",
         "workerConfigurationArn": "string",
         "workerConfigurationState": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListWorkerConfigurations_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListWorkerConfigurations_ResponseSyntax) **   <a name="MSKC-ListWorkerConfigurations-response-nextToken"></a>
If the response of a ListWorkerConfigurations operation is truncated, it will include a NextToken. Send this NextToken in a subsequent request to continue listing from where the previous operation left off.  
Type: String

 ** [workerConfigurations](#API_ListWorkerConfigurations_ResponseSyntax) **   <a name="MSKC-ListWorkerConfigurations-response-workerConfigurations"></a>
An array of worker configuration descriptions.  
Type: Array of [WorkerConfigurationSummary](API_WorkerConfigurationSummary.md) objects

## Errors
<a name="API_ListWorkerConfigurations_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
HTTP Status Code: 401

## See Also
<a name="API_ListWorkerConfigurations_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/kafkaconnect-2021-09-14/ListWorkerConfigurations) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/kafkaconnect-2021-09-14/ListWorkerConfigurations) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/kafkaconnect-2021-09-14/ListWorkerConfigurations) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/kafkaconnect-2021-09-14/ListWorkerConfigurations) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/kafkaconnect-2021-09-14/ListWorkerConfigurations) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/kafkaconnect-2021-09-14/ListWorkerConfigurations) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/kafkaconnect-2021-09-14/ListWorkerConfigurations) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/kafkaconnect-2021-09-14/ListWorkerConfigurations) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/kafkaconnect-2021-09-14/ListWorkerConfigurations) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/kafkaconnect-2021-09-14/ListWorkerConfigurations) 

# TagResource
<a name="API_TagResource"></a>

Attaches tags to the specified resource.

## Request Syntax
<a name="API_TagResource_RequestSyntax"></a>

```
POST /v1/tags/resourceArn HTTP/1.1
Content-type: application/json

{
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters
<a name="API_TagResource_RequestParameters"></a>

The request uses the following URI parameters.

 ** [resourceArn](#API_TagResource_RequestSyntax) **   <a name="MSKC-TagResource-request-uri-resourceArn"></a>
The Amazon Resource Name (ARN) of the resource to which you want to attach tags.  
Required: Yes

## Request Body
<a name="API_TagResource_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [tags](#API_TagResource_RequestSyntax) **   <a name="MSKC-TagResource-request-tags"></a>
The tags that you want to attach to the resource.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 200 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: Yes

## Response Syntax
<a name="API_TagResource_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_TagResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_TagResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 400

 ** ConflictException **   
HTTP Status Code 409: Conflict. A resource with this name already exists. Retry your request with another name.  
HTTP Status Code: 409

 ** ForbiddenException **   
HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.  
HTTP Status Code: 403

 ** InternalServerErrorException **   
HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.  
HTTP Status Code: 500

 ** NotFoundException **   
HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.  
HTTP Status Code: 404

 ** ServiceUnavailableException **   
HTTP Status Code 503: Service Unavailable. Retrying your request in some time might resolve the issue.  
HTTP Status Code: 503

 ** TooManyRequestsException **   
HTTP Status Code 429: Limit exceeded. Resource limit reached.  
HTTP Status Code: 429

 ** UnauthorizedException **   
HTTP Status Code 401: Unauthorized request. The provided credentials couldn't be validated.  
[...]
